Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454629 - Catalan locale is not using Monday as first week day
Summary: Catalan locale is not using Monday as first week day
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Law
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 456713 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 13:32 UTC by Xavier Conde
Modified: 2016-11-24 15:59 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-23 22:00:47 UTC


Attachments (Terms of Use)
Modification of the spec file to apply the fix (deleted)
2009-07-03 09:47 UTC, Àlex Magaz Graça
no flags Details | Diff
Fix the week start day (deleted)
2009-07-03 09:48 UTC, Àlex Magaz Graça
no flags Details | Diff

Description Xavier Conde 2008-07-09 13:32:40 UTC
Description of problem:

When opening a calendar application (ie gnome clock applet) using a catalan
locale ca_ES, the first day of the week is sunday, while it should be Monday.

Version-Release number of selected component (if applicable):

Found on FC9

How reproducible:

Always.

Steps to Reproduce:
1. Open gnome-clock applet
2. Show the calendar
3. Notice that the first day is sunday instead of monday
  
Actual results:


Expected results:

First day of the week should be monday

Additional info:

We've fixed it by adding the line "first_weekday 2" to LC_TIME under
/usr/share/i18n/locales/ca_ES. You also need to execute "localedef -i ca_ES -f
UTF-8 --replace ca_ES.utf8" and restart the session.

Comment 1 Ulrich Drepper 2008-07-20 08:52:17 UTC
You have to provide evidence and convince the original author of the locale.

Comment 2 Ulrich Drepper 2008-08-03 15:51:50 UTC
*** Bug 456713 has been marked as a duplicate of this bug. ***

Comment 3 Xavier Conde 2008-10-22 07:26:09 UTC
(In reply to comment #1)
> You have to provide evidence and convince the original author of the locale.

Hi,

I sent an e-mail to the original author of the locale, however file is 10 years old, so the person who did it now may have a different one.

Can you explain me which "evidence" do you need to prove it? For instance, Catalonia's ca_ES locale is in the same region as es_ES locale, and es_ES uses firstweekday 2 and firstworkday 2, see 

http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/libc/localedata/locales/es_ES?rev=1.13.2.4&content-type=text/plain&cvsroot=glibc

Best regards!

Comment 4 albertmips 2009-03-31 19:20:28 UTC
Hi,

This happens with fedora 10 too.

Regards.

Comment 5 Bug Zapper 2009-06-10 01:59:38 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Àlex Magaz Graça 2009-06-26 08:00:01 UTC
It's still happening in Fedora 11. Here are some evidences of week starting on Monday:

This is a link to a calendar from the web of Generalitat de Catalunya (http://en.wikipedia.org/wiki/Generalitat_of_Catalonia):

http://www10.gencat.cat/gencat/AppJava/cat/actualitat2/2008/80617calendarilaboral.jsp

"dl" is the abbreviation of "dilluns" as you can see here:

http://ca.wikipedia.org/wiki/Dilluns

http://translate.google.com/translate?prev=hp&hl=ca&js=n&u=http%3A%2F%2Fca.wikipedia.org%2Fwiki%2FDilluns&sl=ca&tl=en&history_state0=

Tell me if you need anything else to solve this bug.

Comment 7 Àlex Magaz Graça 2009-07-03 09:47:06 UTC
Created attachment 350402 [details]
Modification of the spec file to apply the fix

If it helps, I attach the patches I've applied to the package to fix the bug.

Comment 8 Àlex Magaz Graça 2009-07-03 09:48:55 UTC
Created attachment 350403 [details]
Fix the week start day

Comment 9 Caolan McNamara 2009-07-04 15:43:00 UTC
Personally I think the CLDR territory information is the best reference for this sort of thing: i.e. 

http://www.unicode.org/cldr/data/charts/supplemental/territory_language_information.html

Comment 10 Josep 2009-07-17 18:58:41 UTC
This is probably the same issue:
http://sources.redhat.com/bugzilla/show_bug.cgi?id=6770

It would be very nice to have this fixed.

Comment 11 Bug Zapper 2009-11-16 08:08:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-11-04 11:51:27 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Josep 2010-11-10 22:16:34 UTC
This is still an issue in F14.

Comment 14 Bug Zapper 2010-12-05 07:09:55 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Àlex Magaz Graça 2011-09-14 11:25:28 UTC
This problem still applies to Fedora 15 and I guess the attempt to contact the original author of the locale has failed so, could you please fix it.

Comment 16 David Tardon 2011-09-15 04:17:07 UTC
Let's reopen the bug, then.

LC_ALL=ca_ES.utf8 cal

on my Rawhide system shows "dg" in first column -> still broken there.

Comment 17 Fedora Admin XMLRPC Client 2011-11-14 19:14:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Fedora Admin XMLRPC Client 2011-11-15 04:46:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.